Bug 1248649 - Sound mute below 35% volume with external USB audio controller C-Media (0d8c:000c)
Sound mute below 35% volume with external USB audio controller C-Media (0d8c:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 10:07 EDT by Basic Six
Modified: 2017-08-16 07:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:19:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Basic Six 2015-07-30 10:07:16 EDT
Description of problem:

Using an external USB audio controller, the output is suddenly mute when lowering the volume below 35%. This is disturbing because it's impossible to keep playing music in the background.



Version-Release number of selected component (if applicable):

Fedora 22



How reproducible:

Everytime. Also, when fixed somehow, the issue reappears after major updates or upgrades (like from F21 to F22).



Steps to Reproduce:
1. Play music file
2. Turn volume up above 35% -> loud music
3. Turn it down below 35% -> no sound anymore



Actual results:

Quiet below 35.



Expected results:

Volume regulation below 35% should work just like above 35%. It seems odd that some piece of software can't handle a volume below 35%.



Additional info:

Some time ago (F21), changing a system config file (not sure what exactly) fixed it - until the upgrade to F22.
Comment 1 Basic Six 2015-07-30 10:21:04 EDT
This is how the config change fixed the issue:

From:
https://chrisjean.com/fix-for-usb-audio-is-too-loud-and-mutes-at-low-volume-in-ubuntu/

Config file:
/usr/share/pulseaudio/alsa-mixer/paths/analog-output.conf.common

Look for the [Element PCM] section:

[Element PCM]
switch = mute
volume = merge
override-map.1 = all 
override-map.2 = all-left,all-right

Replace the "volume = merge" line with these two lines:
volume = ignore
volume-limit = 0.01

Details on what value to use (instead of 0.01) are explained on that page.

---

This should be fixed - it's extremely awkward that there's no sound below 35% volume (by default). If config files have to be changed to "fix" this, then it's not working from a user's perspective. And most users won't (and probably shouldn't) open and edit system config files as root.
Comment 2 Basic Six 2015-12-23 05:13:25 EST
Same issue after upgrading to Fedora 23.
However, the config file modification does not seem to fix it anymore.
Comment 3 Fedora End Of Life 2016-11-24 07:15:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:19:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Star Brilliant 2017-08-16 07:57:17 EDT
A bug report has been proposed in ALSA:
https://bugzilla.kernel.org/show_bug.cgi?id=196669

The patch should fix this problem for C-Media devices.

Note You need to log in before you can comment on or make changes to this bug.